Bug 436707 - System Monitor crashes in ToolBarLayoutDelegate::ensureItemVisibility() when going from Overview > Processes > back to Overview and then closing
Summary: System Monitor crashes in ToolBarLayoutDelegate::ensureItemVisibility() when ...
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kirigami
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 5.81.0
Platform: Neon Linux
: NOR crash (vote)
Target Milestone: Not decided
Assignee: Marco Martin
URL:
Keywords: drkonqi
: 436807 436869 437426 437480 437651 437729 437741 437785 437786 437983 438050 438091 438276 438339 438560 438759 439114 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-05-06 20:32 UTC by guimarcalsilva
Modified: 2021-07-01 14:26 UTC (History)
20 users (show)

See Also:
Latest Commit:
Version Fixed In: Frameworks 5.83 with Plasma 5.22


Attachments
Valgrind log - compressed (140.73 KB, application/x-7z-compressed)
2021-05-06 21:46 UTC, guimarcalsilva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description guimarcalsilva 2021-05-06 20:32:52 UTC
Application: plasma-systemmonitor (5.21.5)

Qt Version: 5.15.2
Frameworks Version: 5.81.0
Operating System: Linux 5.4.0-72-generic x86_64
Windowing System: X11
Drkonqi Version: 5.21.5
Distribution: KDE neon User Edition 5.21

-- Information about the crash:
- What I was doing when the application crashed:

I can reproduce the crash everytime. To reproduce it, open System Monitor (by default it will be in the Overview tab), go to the 'Processes' tab, then imediatelly go back to 'Overview' and close it. Upon closing, Dr. Konki will pop-up telling an error has happened. The crash only happens when following these instructions in the right order. No other tab triggers the crash.

Operating System: KDE neon 5.21
KDE Plasma Version: 5.21.5
KDE Frameworks Version: 5.81.0
Qt Version: 5.15.2
Kernel Version: 5.4.0-72-generic
OS Type: 64-bit
Graphics Platform: X11
Processors: 4 × Intel® Core™ i5-6200U CPU @ 2.30GHz
Memory: 7,7 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 520

The crash can be reproduced every time.

-- Backtrace:
Application: System Monitor (plasma-systemmonitor), signal: Segmentation fault

[New LWP 5954]
[New LWP 5955]
[New LWP 5960]
[New LWP 5961]
[New LWP 5962]
[New LWP 5963]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007fd29033faff in __GI___poll (fds=0x7ffd4d5133e8, nfds=1, timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
[Current thread is 1 (Thread 0x7fd28cfe4340 (LWP 5952))]

Thread 7 (Thread 0x7fd27257a700 (LWP 5963)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5571890ed218) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5571890ed1c8, cond=0x5571890ed1f0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5571890ed1f0, mutex=0x5571890ed1c8) at pthread_cond_wait.c:638
#3  0x00007fd2798d4e7b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fd2798d4a7b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fd29003e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fd29034c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fd272d7b700 (LWP 5962)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5571890ed218) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5571890ed1c8, cond=0x5571890ed1f0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5571890ed1f0, mutex=0x5571890ed1c8) at pthread_cond_wait.c:638
#3  0x00007fd2798d4e7b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fd2798d4a7b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fd29003e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fd29034c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fd27357c700 (LWP 5961)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5571890ed218) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5571890ed1c8, cond=0x5571890ed1f0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5571890ed1f0, mutex=0x5571890ed1c8) at pthread_cond_wait.c:638
#3  0x00007fd2798d4e7b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fd2798d4a7b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fd29003e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fd29034c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fd273d7d700 (LWP 5960)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5571890ed218) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x5571890ed1c8, cond=0x5571890ed1f0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x5571890ed1f0, mutex=0x5571890ed1c8) at pthread_cond_wait.c:638
#3  0x00007fd2798d4e7b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fd2798d4a7b in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fd29003e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fd29034c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fd28a53a700 (LWP 5955)):
#0  0x00007fd28f249b26 in g_main_context_query () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fd28f24a2e8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd28f24a4a3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd29090affb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007fd2908af1eb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd2906c9a52 in QThread::exec() () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007fd290b6cf4b in ?? () from /lib/x86_64-linux-gnu/libQt5DBus.so.5
#7  0x00007fd2906cabec in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007fd29003e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fd29034c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fd28c5e8700 (LWP 5954)):
#0  0x00007fd29033faff in __GI___poll (fds=0x7fd28c5e7c68, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fd28f014c1a in ?? () from /lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007fd28f01690a in xcb_wait_for_event () from /lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007fd28cbe0d58 in ?? () from /lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#4  0x00007fd2906cabec in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007fd29003e609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fd29034c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fd28cfe4340 (LWP 5952)):
[KCrash Handler]
#4  0x00005571894ebe50 in ?? ()
#5  0x00007fd27bfa113a in ToolBarLayoutDelegate::ensureItemVisibility (this=0x55718b1884d0) at ./src/toolbarlayoutdelegate.h:87
#6  0x00007fd2908e76fe in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007fd28b0c9c9c in QQuickItemPrivate::setEffectiveVisibleRecur(bool) () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#8  0x00007fd28b0cfc6d in QQuickItem::setParentItem(QQuickItem*) () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#9  0x00007fd28b0d0b0c in QQuickItem::~QQuickItem() () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#10 0x00007fd27b893602 in QQuickButton::~QQuickButton (this=0x55718ae37f40, __in_chrg=<optimized out>) at ../../../include/QtQuickTemplates2/5.15.2/QtQuickTemplates2/private/../../../../../src/quicktemplates2/qquickbutton_p.h:57
#11 QQuickToolButton::~QQuickToolButton (this=0x55718ae37f40, __in_chrg=<optimized out>) at ../../../include/QtQuickTemplates2/5.15.2/QtQuickTemplates2/private/../../../../../src/quicktemplates2/qquicktoolbutton_p.h:55
#12 QQmlPrivate::QQmlElement<QQuickToolButton>::~QQmlElement (this=0x55718ae37f40, __in_chrg=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtQml/qqmlprivate.h:144
#13 QQmlPrivate::QQmlElement<QQuickToolButton>::~QQmlElement (this=0x55718ae37f40, __in_chrg=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtQml/qqmlprivate.h:144
#14 0x00007fd27bf9fdde in ToolBarLayoutDelegate::~ToolBarLayoutDelegate (this=0x55718b1884d0, __in_chrg=<optimized out>) at ./src/toolbarlayoutdelegate.cpp:83
#15 0x00007fd27bf9fdfd in ToolBarLayoutDelegate::~ToolBarLayoutDelegate (this=0x55718b1884d0, __in_chrg=<optimized out>) at ./src/toolbarlayoutdelegate.cpp:69
#16 0x00007fd27bf9c6f3 in std::default_delete<ToolBarLayoutDelegate>::operator() (this=0x557189a044c0, __ptr=<optimized out>) at /usr/include/c++/9/bits/unique_ptr.h:75
#17 std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> >::~unique_ptr (this=0x557189a044c0, __in_chrg=<optimized out>) at /usr/include/c++/9/bits/unique_ptr.h:292
#18 std::pair<QObject* const, std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> > >::~pair (this=0x557189a044b8, __in_chrg=<optimized out>) at /usr/include/c++/9/bits/stl_pair.h:208
#19 __gnu_cxx::new_allocator<std::__detail::_Hash_node<std::pair<QObject* const, std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> > >, false> >::destroy<std::pair<QObject* const, std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> > > > (this=<optimized out>, __p=0x557189a044b8) at /usr/include/c++/9/ext/new_allocator.h:153
#20 std::allocator_traits<std::allocator<std::__detail::_Hash_node<std::pair<QObject* const, std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> > >, false> > >::destroy<std::pair<QObject* const, std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> > > > (__a=..., __p=0x557189a044b8) at /usr/include/c++/9/bits/alloc_traits.h:497
#21 std::__detail::_Hashtable_alloc<std::allocator<std::__detail::_Hash_node<std::pair<QObject* const, std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> > >, false> > >::_M_deallocate_node (__n=0x557189a044b0, this=<optimized out>) at /usr/include/c++/9/bits/hashtable_policy.h:2102
#22 0x00007fd27bf9f4b7 in std::_Hashtable<QObject*, std::pair<QObject* const, std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> > >, std::allocator<std::pair<QObject* const, std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> > > >, std::__detail::_Select1st, std::equal_to<QObject*>, std::hash<QObject*>, std::__detail::_Mod_range_hashing, std::__detail::_Default_ranged_hash, std::__detail::_Prime_rehash_policy, std::__detail::_Hashtable_traits<false, false, true> >::_M_erase (this=this@entry=0x55718a6f5df8, __bkt=<optimized out>, __prev_n=<optimized out>, __n=<optimized out>) at /usr/include/c++/9/bits/hashtable_policy.h:340
#23 0x00007fd27bf9df5b in std::_Hashtable<QObject*, std::pair<QObject* const, std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> > >, std::allocator<std::pair<QObject* const, std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> > > >, std::__detail::_Select1st, std::equal_to<QObject*>, std::hash<QObject*>, std::__detail::_Mod_range_hashing, std::__detail::_Default_ranged_hash, std::__detail::_Prime_rehash_policy, std::__detail::_Hashtable_traits<false, false, true> >::erase (__it=..., this=0x55718a6f5df8) at /usr/include/c++/9/bits/hashtable.h:1621
#24 std::_Hashtable<QObject*, std::pair<QObject* const, std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> > >, std::allocator<std::pair<QObject* const, std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> > > >, std::__detail::_Select1st, std::equal_to<QObject*>, std::hash<QObject*>, std::__detail::_Mod_range_hashing, std::__detail::_Default_ranged_hash, std::__detail::_Prime_rehash_policy, std::__detail::_Hashtable_traits<false, false, true> >::erase (__it=..., this=0x55718a6f5df8) at /usr/include/c++/9/bits/hashtable.h:768
#25 std::unordered_map<QObject*, std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> >, std::hash<QObject*>, std::equal_to<QObject*>, std::allocator<std::pair<QObject* const, std::unique_ptr<ToolBarLayoutDelegate, std::default_delete<ToolBarLayoutDelegate> > > > >::erase (__position=..., this=0x55718a6f5df8) at /usr/include/c++/9/bits/unordered_map.h:798
#26 ToolBarLayout::<lambda(QObject*)>::operator() (__closure=0x55718ab46ba0, action=0x55718a7f4c70) at ./src/toolbarlayout.cpp:122
#27 QtPrivate::FunctorCall<QtPrivate::IndexesList<0>, QtPrivate::List<QObject*>, void, ToolBarLayout::addAction(QObject*)::<lambda(QObject*)> >::call (arg=<optimized out>, f=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:146
#28 QtPrivate::Functor<ToolBarLayout::addAction(QObject*)::<lambda(QObject*)>, 1>::call<QtPrivate::List<QObject*>, void> (arg=<optimized out>, f=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:256
#29 QtPrivate::QFunctorSlotObject<ToolBarLayout::addAction(QObject*)::<lambda(QObject*)>, 1, QtPrivate::List<QObject*>, void>::impl (which=1, r=<optimized out>, ret=<optimized out>, a=<optimized out>, this_=0x55718ab46b90) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:443
#30 QtPrivate::QFunctorSlotObject<ToolBarLayout::addAction(QObject*)::<lambda(QObject*)>, 1, QtPrivate::List<QObject*>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) (which=<optimized out>, this_=0x55718ab46b90, r=<optimized out>, a=<optimized out>, ret=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobjectdefs_impl.h:436
#31 0x00007fd2908e76fe in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#32 0x00007fd2908e0b83 in QObject::destroyed(QObject*) () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#33 0x00007fd2908e5955 in QObject::~QObject() () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#34 0x00007fd27b89797f in QQmlPrivate::QQmlElement<QQuickAction>::~QQmlElement (this=0x55718a7f4c70, __in_chrg=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtQml/qqmlprivate.h:142
#35 QQmlPrivate::QQmlElement<QQuickAction>::~QQmlElement (this=0x55718a7f4c70, __in_chrg=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtQml/qqmlprivate.h:144
#36 0x00007fd2908dacfe in QObjectPrivate::deleteChildren() () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#37 0x00007fd2908e5726 in QObject::~QObject() () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#38 0x00007fd28b0d0c2a in QQuickItem::~QQuickItem() () from /lib/x86_64-linux-gnu/libQt5Quick.so.5
#39 0x00007fd27111aa49 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/qml/org/kde/ksysguard/faces/libFacesPlugin.so
#40 0x00007fd2908dacfe in QObjectPrivate::deleteChildren() () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#41 0x00007fd2908e5726 in QObject::~QObject() () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#42 0x00007fd27bd94c4a in KSysGuard::SensorFaceController::~SensorFaceController() () from /lib/x86_64-linux-gnu/libKSysGuardSensorFaces.so.1
#43 0x00007fd27bd94d6d in KSysGuard::SensorFaceController::~SensorFaceController() () from /lib/x86_64-linux-gnu/libKSysGuardSensorFaces.so.1
#44 0x00007fd2908dacfe in QObjectPrivate::deleteChildren() () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#45 0x00007fd2908e5726 in QObject::~QObject() () from /lib/x86_64-linux-gnu/libQt5Core.so.5
#46 0x00007fd291eb8d64 in QQmlEngine::~QQmlEngine() () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#47 0x0000557187093068 in main (argc=<optimized out>, argv=<optimized out>) at ./src/main.cpp:133
[Inferior 1 (process 5952) detached]

Reported using DrKonqi
Comment 1 guimarcalsilva 2021-05-06 21:22:37 UTC
Running it from the terminal shows this when it crashes:

QProcess: Destroyed while process ("/usr/lib/x86_64-linux-gnu/libexec/ksysguard/ksgrd_network_helper") is still running.
org.kde.ksysguard.plugin.network: Helper process terminated abnormally!
org.kde.ksysguard.plugin.network: ""
QProcess: Destroyed while process ("/usr/lib/x86_64-linux-gnu/libexec/ksysguard/ksgrd_network_helper") is still running.
org.kde.ksysguard.plugin.network: Helper process terminated abnormally!
org.kde.ksysguard.plugin.network: ""
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = plasma-systemmonitor path = /usr/bin pid = 9258
KCrash: Arguments: /usr/bin/plasma-systemmonitor 
KCrash: Attempting to start /usr/lib/x86_64-linux-gnu/libexec/drkonqi
QSocketNotifier: Invalid socket 8 and type 'Read', disabling...
QSocketNotifier: Invalid socket 15 and type 'Read', disabling...

[2]+  Parado                  plasma-systemmonitor
Comment 2 guimarcalsilva 2021-05-06 21:46:53 UTC
Created attachment 138203 [details]
Valgrind log - compressed

Log with Valgrind. I don't know if this can be useful or not.
Comment 3 David Redondo 2021-05-07 08:08:05 UTC
crashing in kirigami
Comment 4 David Redondo 2021-05-10 07:48:04 UTC
*** Bug 436807 has been marked as a duplicate of this bug. ***
Comment 5 David Edmundson 2021-05-10 13:30:09 UTC
*** Bug 436869 has been marked as a duplicate of this bug. ***
Comment 6 David Edmundson 2021-05-10 13:37:39 UTC
>Log with Valgrind. I don't know if this can be useful or not.

valgrind logs are always useful, there's quite a few mistakes shown up there.

I can't see the crash though. Do you remember if it crashed whilst you were recording in valgrind?

From line 3000 the program is exiting and there's nothing that matches up with the gdb trace.
Comment 7 Bug Janitor Service 2021-05-10 15:09:08 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kirigami/-/merge_requests/289
Comment 8 David Redondo 2021-05-11 08:26:19 UTC
Git commit 05b5a1b2fa3552f67e9e4d0a144381438b7458c0 by David Redondo.
Committed on 11/05/2021 at 07:28.
Pushed by davidre into branch 'master'.

Disconnect before destroying items

Destroying them causes us to get a visibleChanged signal

M  +2    -0    src/toolbarlayoutdelegate.cpp

https://invent.kde.org/frameworks/kirigami/commit/05b5a1b2fa3552f67e9e4d0a144381438b7458c0
Comment 9 David Redondo 2021-05-21 13:43:27 UTC
*** Bug 437426 has been marked as a duplicate of this bug. ***
Comment 10 David Redondo 2021-05-25 09:13:11 UTC
*** Bug 437480 has been marked as a duplicate of this bug. ***
Comment 11 Arjen Hiemstra 2021-05-25 09:38:46 UTC
*** Bug 437651 has been marked as a duplicate of this bug. ***
Comment 12 Arjen Hiemstra 2021-05-27 08:27:43 UTC
*** Bug 437729 has been marked as a duplicate of this bug. ***
Comment 13 Nicolas Fella 2021-05-27 19:11:05 UTC
*** Bug 437741 has been marked as a duplicate of this bug. ***
Comment 14 David Redondo 2021-06-01 11:11:10 UTC
*** Bug 437785 has been marked as a duplicate of this bug. ***
Comment 15 Arjen Hiemstra 2021-06-02 10:39:12 UTC
*** Bug 437983 has been marked as a duplicate of this bug. ***
Comment 16 David Redondo 2021-06-02 11:38:56 UTC
*** Bug 437786 has been marked as a duplicate of this bug. ***
Comment 17 Arjen Hiemstra 2021-06-04 17:26:23 UTC
*** Bug 438050 has been marked as a duplicate of this bug. ***
Comment 18 Arjen Hiemstra 2021-06-04 17:26:39 UTC
*** Bug 438091 has been marked as a duplicate of this bug. ***
Comment 19 Nate Graham 2021-06-08 19:10:07 UTC
*** Bug 438276 has been marked as a duplicate of this bug. ***
Comment 20 Nate Graham 2021-06-09 22:44:06 UTC
*** Bug 438339 has been marked as a duplicate of this bug. ***
Comment 21 David Redondo 2021-06-14 08:00:26 UTC
*** Bug 438560 has been marked as a duplicate of this bug. ***
Comment 22 Nate Graham 2021-06-16 18:05:23 UTC
*** Bug 438759 has been marked as a duplicate of this bug. ***
Comment 23 David Edmundson 2021-07-01 14:26:13 UTC
*** Bug 439114 has been marked as a duplicate of this bug. ***